﻿#ifndef LOGINWINDOW_H
#define LOGINWINDOW_H

#include "meeting/MeetingWindow.h"
#include "XYSettings.h"

#include <QDialog>
#include <QMouseEvent>

//#define UNIFIED_LOGIN_TEST

namespace Ui {
class LoginWindow;
}

class LoginWindow : public QDialog
{
    Q_OBJECT

public:
    explicit LoginWindow(QWidget *parent = nullptr);
    ~LoginWindow();

protected:
    void mousePressEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    bool eventFilter(QObject *obj, QEvent *event);

private slots:
    void onLoginResult(SDKLoginState state, const QString& error, const SDKLoginInfo& info);
    void onKickOut(const QString& code);
    void onCallInvited(const SDKCallInfo& info);
    void onConnectionChanged(bool state);
    void on_btnJoin_clicked();
    void on_tbtnClose_clicked();
    void onCallFinished(QString reason);
    void on_tbtnMinise_clicked();
    void on_edtNumber_textChanged(const QString &arg1);
    void onLoginClicked();
    void onSettingClicked();
    void onServerChanged();
    void onLogoutClicked();
    void onLoginTypeClicked(bool checked);
    void onProxyChanged(std::map<ProxyType, ProxyNetAddress> proxys);

private:
    void loadSetting(bool firstInit = false);
    void updateUI();
    void resetUnifiedLoginTestUi();

private:
    Ui::LoginWindow *ui;
    MeetingWindow *meetingWindow = nullptr;
    QPoint last;
    QString extId;
    QString _displayName = "C++SDKDemo";

};

#endif // LOGINWINDOW_H
