﻿#include "BaseWidget.h"
#include <QFile>

BaseWidget::BaseWidget(QWidget *parent) :
    QWidget(parent),
    _isPressed(false)
{
    this->setWindowFlags(Qt::FramelessWindowHint);
}

BaseWidget::~BaseWidget()
{

}

QString BaseWidget::readStyleSheet(const QString &filePath)
{
    QString sheetStr = "";
    QFile file(filePath);
    if (file.open(QFile::ReadOnly)) {
        sheetStr = tr(file.readAll());
        file.close();
    }
    return sheetStr;
}

void BaseWidget::mouseMoveEvent(QMouseEvent *event)
{
    if (_isPressed) {
        QPoint movePos = event->globalPos() - _position;
        move(movePos);
        event->accept();
    }
}

void BaseWidget::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
        _position = event->pos();
        _isPressed = true;
    }
}

void BaseWidget::mouseReleaseEvent(QMouseEvent *)
{
    _isPressed = false;
}
