﻿#ifndef MEETINGNOTIFYWIDGET_H
#define MEETINGNOTIFYWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QVBoxLayout>

namespace Ui {
	class MeetingNotifyWidget;
}

class MeetingNotifyWidget : public QWidget
{
	Q_OBJECT

public:
	explicit MeetingNotifyWidget(QWidget *parent = nullptr);
	~MeetingNotifyWidget();

public:
    enum NotifyMode { Zimu, VideoState, NextPage, PrePage, OutIn, Chairman, CCInfo, Toast };
    enum Position { Top, Center, Bottom };
    void onNotificationChanged(NotifyMode mode, bool visiable = false, const QString& tips = "");
    void showZimu(const QString& content, const QString& color,
                  const QString& fontColor = "#ffffffff",
                  Position position = Top, bool isScroll = false);
    void showOut(const QString& outName); // xx离开会议
    void showIn(const QString& inName); // xx加入会议
    enum CCDisplayRule {CC_SHOW_NO, CC_SHOW_CHINESE, CC_SHOW_ENGLISH, CC_SHOW_BOTH};
    void setCcDisplayRule(CCDisplayRule display);
    /*add pageup*/
public slots:
    void onPreButton(bool flag);
    void onNextButton(bool flag);

signals:
    void sigNextPageClicked();
    void sigPrePageClicked();
    /**/

private:
    Ui::MeetingNotifyWidget *ui;
    QTimer* _timer;
    CCDisplayRule _displayRule;
    QWidget* _toastContainer;
    QVBoxLayout* _vBoxLayout;

};

#endif // MEETINGNOTIFYWIDGET_H
