﻿#ifndef MENUBUTTON_H
#define MENUBUTTON_H

#include <QWidget>
#include <QLabel>
#include <QToolButton>

#include "FrameLayout.h"

class MenuButton : public QWidget
{
    Q_OBJECT

public:
    explicit MenuButton(const QString text, const QString normalIcon, const QString hoverIcon, QWidget *parent = nullptr);
    ~MenuButton();

    void leaveEvent(QEvent *);
    void enterEvent(QEvent *);
    void setChecked(QString text, QString normalIcon, QString hoverIcon);
    void setChecked(QString text, QString normalIcon, QString hoverIcon, bool showBuleColor);
    void resetState(QString text, QString normalIcon, QString hoverIcon, bool disable = false);
    void onWindowStateChange(Qt::WindowState state);
    void showLabel(int num);

signals:
    void clicked();

public slots:
    void onClicked();

private:
    FrameLayout* frameLayout;
    QToolButton* menuButton;
    QLabel* label;
    QString text;
    QString hoverIcon;
    QString normalIcon;
    bool flag = true;
    bool _btDisable;
};

#endif // MENUBUTTON_H
