﻿#ifndef VIDEOCELL_H
#define VIDEOCELL_H

#include "NemoSdkAdaptor.h"
#include "CellState.h"
#include "OpenGLDisplay.h"
#include "wayland/yuvdisplaylabel.h"

#include <QHBoxLayout>
#include <QLabel>
#include <QWidget>
#include <QDebug>

class VideoCell : public QWidget
{
    Q_OBJECT

public:
    explicit VideoCell(QWidget *parent = nullptr);
    ~VideoCell();

    void setVidoeInfo(SDKVideoStreamInfo info, bool showSmallState = true);
    SDKVideoStreamInfo getVideoInfo() const;
	QWidget* getDisplay()const;

    void resizeEvent(QResizeEvent *event) override;

    void setLocalAudioMute(bool mute);

	void requestRender(const std::shared_ptr<uint8_t>& data, size_t length, int width, int height, int sarWidth, int sarHeight, int rotation, bool flip);
    void initBuffer(int length) {};

private:
	QWidget* display;
    CellState* state;
    QLabel* displayName;
    QLabel* audioState;
    SDKVideoStreamInfo videoInfo;

};

#endif // VIDEOCELL_H
