﻿#include "bulkrostertestdialog.h"
#include "ui_bulkrostertestdialog.h"

#include <QDebug>
#include <QListWidgetItem>

BulkRosterTestDialog::BulkRosterTestDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::BulkRosterTestDialog)
{
    ui->setupUi(this);

    this->setModal(true);

    qRegisterMetaType<SDKRosterInfo>("SDKRosterInfo");

    connect(NemoSdkAdaptor::getInstance(), &NemoSdkAdaptor::sigRosterChanged, this, [=](const SDKRosterInfo& info) {
        for (int i = 0; i < info.addParticipants.length(); ++i) {
            QListWidgetItem *item = new QListWidgetItem;
            item->setData(Qt::DisplayRole, info.addParticipants[i].callUri.str());
            item->setData(Qt::CheckStateRole, false);
            ui->listWidget->addItem(item);
        }
        for (int i = 0; i < info.delParticipants.length(); ++i) {
            QString delItem(info.delParticipants[i].str());
            int count = ui->listWidget->count();
            for (int j = 0; j < count; ++j) {
                if ( ui->listWidget->item(j)->text() == delItem) {
                     ui->listWidget->takeItem(j);
                }
            }
        }
    });

    connect(ui->listWidget, &QListWidget::itemClicked, this, [=](QListWidgetItem *item) {
        if (item->checkState() == Qt::Checked) {
            callUris.push_back(item->text());
        }
    });

    connect(ui->buttonBox, &QDialogButtonBox::accepted, this, [&]() {
        sigBulkRosterCalluriChanged(callUris);
        this->hide();
    });

    connect(ui->buttonBox, &QDialogButtonBox::rejected, this, [&]() {
        this->hide();
    });

    connect(this, &QDialog::close, this, &QDialog::hide);
}

BulkRosterTestDialog::~BulkRosterTestDialog()
{
    delete ui;
}

void BulkRosterTestDialog::clear()
{
    callUris.clear();
    int count = ui->listWidget->count();
    for (int i = 0; i < count; ++i) {
        ui->listWidget->item(i)->setData(Qt::CheckStateRole, false);
    }
}
