﻿#ifndef CCDIALOG_H
#define CCDIALOG_H

#include <QDialog>
#include <QButtonGroup>

namespace Ui {
class CcDialog;
}

class CcDialog : public QDialog
{
    Q_OBJECT

public:
    explicit CcDialog(QWidget* baseWidget, QWidget *parent = nullptr);
    ~CcDialog();

public:
    enum SpeakLanguageType {
        Speak_Ignore, // for simple ignor
        Speak_Auto,
        Speak_Chinese,
        Speak_English
    };
    enum CCLanguageType {
        CC_Language_None,
        CC_Language_Chinese,
        CC_Language_English,
        CC_Language_BOTH
    };

signals:
    void sigLanguageSelected(SpeakLanguageType onwerType, CCLanguageType showType);

protected:
    void hideEvent(QHideEvent *event);

private:
    Ui::CcDialog *ui;
    QWidget* _baseWidget;
    SpeakLanguageType _srcLaguage = Speak_Chinese;
    QButtonGroup* _groupSpk;
    QButtonGroup* _groupCc;
};

#endif // CCDIALOG_H
