#include "mettinghostwindow.h"
#include "ui_mettinghostwindow.h"

MettingHostWindow::MettingHostWindow(QWidget *parent) :
    BaseWidget(parent),
    ui(new Ui::MettingHostWindow)
{
    ui->setupUi(this);

    connect(ui->bt_close, &QToolButton::clicked, this, [=]() {
        emit sigMeetignHostClosed();
    });
    connect(ui->bt_max, &QToolButton::clicked, this, [=]() {
        if (this->windowState() != Qt::WindowFullScreen) {
            this->showFullScreen();
        }
        else {
            this->showNormal();
        }
    });
    connect(ui->bt_min, &QToolButton::clicked, this, [=]() {
        this->showMinimized();
    });
}

MettingHostWindow::~MettingHostWindow()
{
    delete ui;
}

void MettingHostWindow::loadUrl(const QString &url)
{
    ui->webEngineView->load(QUrl(url));
}
