﻿#include "sharedialog.h"
#include "ui_sharedialog.h"

#include <QDebug>

#include <QToolButton>

#include "NemoSdkAdaptor.h"

constexpr auto COLUMN = 3;

ShareDialog::ShareDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ShareDialog)
{
    ui->setupUi(this);

    _buttonGroup = new QButtonGroup(this);
    _buttonGroup->setExclusive(true);

    const XYArray<SDKMonitorInfo> list = NemoSdkAdaptor::getInstance()->getMonitorList();

    if (list.length() > 0)
    {
        for (int var = 0; var < list.length(); ++var) {
            QToolButton* pb = new QToolButton(this);
            pb->setStyleSheet("QToolButton:checked{color: blue;padding: 3px;border-radius: 3px;border: 1px solid blue;}");
            pb->setCheckable(true);
            if (var == 0) pb->setChecked(true);
            pb->setIcon(QIcon(":/res/meeting/screen.png"));
            pb->setIconSize(QSize(112, 84));
            pb->setText(QString::fromLocal8Bit(list[var].monitorName.str()));
            pb->setToolButtonStyle(Qt::ToolButtonTextUnderIcon);
            _buttonGroup->addButton(pb, var);
            ui->gridLayout->addWidget(pb, var / COLUMN, var % COLUMN);
        }

        // simple: last one as region share
        QToolButton* pb = new QToolButton(this);
        pb->setCheckable(true);
        pb->setStyleSheet("QToolButton:checked{color: blue;padding: 3px;border-radius: 3px;border: 1px solid blue;}");
        pb->setIcon(QIcon(":/res/meeting/regionCapture.png"));
        pb->setIconSize(QSize(112, 84));
        pb->setText(QString::fromLocal8Bit("区域共享"));
        pb->setToolButtonStyle(Qt::ToolButtonTextUnderIcon);
        _buttonGroup->addButton(pb, _buttonGroup->buttons().size());
        int len = _buttonGroup->buttons().size() - 1;
        ui->gridLayout->addWidget(pb, len / COLUMN, len  % COLUMN);
        ui->gridLayout->setRowStretch(1, 1);
        ui->gridLayout->setColumnStretch(COLUMN + 1, 1);
    }
    connect(_buttonGroup, SIGNAL(buttonClicked(int)), this, SLOT(onBtClicked(int)));

    connect(ui->bt_start_share, &QPushButton::clicked, this, [=]() {
        if (_idx == (_buttonGroup->buttons().size() - 1)) {
            sigShareScreen(ShareType_Region, "");
        } else {
            sigShareScreen(ShareType_Monitor, _buttonGroup->button(_idx)->text());
        }
        this->close();
    });
}

ShareDialog::~ShareDialog()
{
    delete ui;
}

void ShareDialog::closeEvent(QCloseEvent *event)
{
    emit sigShareDlgClosed();
}

void ShareDialog::onBtClicked(int id)
{
    _idx = id;
}
