﻿#ifndef SHAREREGIONWIDGET_H
#define SHAREREGIONWIDGET_H

#include <QWidget>

#include "BaseWidget.h"
#include "NemoSdkAdaptor.h"

namespace Ui {
class ShareRegionWidget;
}

class ShareRegionWidget : public BaseWidget
{
    Q_OBJECT

public:
    explicit ShareRegionWidget(QWidget *parent = nullptr);
    ~ShareRegionWidget();

    QRect defauleRegion();

signals:
    void sigShareRegChanged(int x, int y, int width, int height);

private:
    void mouseReleaseEvent(QMouseEvent* event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;
    void paintEvent(QPaintEvent* event) override;
    QWidget* getToolbar();
    void handleHoverMove(QEvent* event);
    void handleWindowResize(const QPoint& pos);
    bool eventFilter(QObject* watched, QEvent* event) override;
    Qt::Edges testResizeEdge(const QPoint& pos) const;
    QRect defaultPosition();

private:
    Ui::ShareRegionWidget *ui;
    QPoint _position;
    bool _isPressed = false;
    bool _isResize = false;
    Qt::Edges _resizeEdges;

};

#endif // SHAREREGIONWIDGET_H
