﻿#ifndef YUVDISPLAYLABEL_H
#define YUVDISPLAYLABEL_H

#include <QWidget>
#include <QLabel>
#include <memory>

class YUVDisplayLabel : public QLabel
{
    Q_OBJECT

public:
    explicit YUVDisplayLabel(QWidget *parent = nullptr);
    ~YUVDisplayLabel();

    void requestRender(const std::shared_ptr<uint8_t>& data, size_t length, int width, int height, int sarWidth, int sarHeight, int rotation, bool flip);
    void initBuffer(int length) {};
    void clearDraw(){};

signals:
    void sigRgbViewReady();

public slots:
    void onRgbViewReady();

protected:
    void paintEvent(QPaintEvent *) override;

private:
    int _bufferLen;
    uint8_t *_rgbBuffer = nullptr;
	std::shared_ptr<uint8_t> _yuvBuffer = nullptr;
    int _desWidth;
    int _desHeight;
    int _srcWidth;
    int _srcHeight;
    int _rotation;

};

#endif // YUVDISPLAYLABEL_H
